Open Lighting Architecture: ola::plugin::usbdmx::AsynchronousSunlite Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::plugin::usbdmx::AsynchronousSunlite Class Reference

## Detailed Description

An Sunlite widget that uses asynchronous libusb operations.

Inheritance diagram for ola::plugin::usbdmx::AsynchronousSunlite:

## Public Member Functions
| AsynchronousSunlite (ola::usb::LibUsbAdaptor *adaptor, libusb_device *usb_device)
| Create a new AsynchronousSunlite.
bool | Init ()
| Initialize the widget.
bool | SendDMX (const DmxBuffer &buffer)
| Send DMX data from this widget.
Public Member Functions inherited from ola::plugin::usbdmx::Sunlite
| Sunlite (ola::usb::LibUsbAdaptor *adaptor, libusb_device *usb_device)
Public Member Functions inherited from ola::plugin::usbdmx::SimpleWidget
| SimpleWidget (ola::usb::LibUsbAdaptor *adaptor, libusb_device *usb_device)
| Create a new SimpleWidget.
ola::usb::USBDeviceID | GetDeviceId () const
| The device ID of this widget.

## Additional Inherited Members
Protected Attributes inherited from ola::plugin::usbdmx::SimpleWidget
ola::usb::LibUsbAdaptor *const | m_adaptor
libusb_device *const | m_usb_device

## Constructor & Destructor Documentation

## ◆ AsynchronousSunlite()

ola::plugin::usbdmx::AsynchronousSunlite::AsynchronousSunlite | ( | ola::usb::LibUsbAdaptor * | adaptor,
|  | libusb_device * | usb_device )

Create a new AsynchronousSunlite.

Parameters

  adaptor | the LibUsbAdaptor to use.
  usb_device | the libusb_device to use for the widget.

## Member Function Documentation

## ◆ Init()

bool ola::plugin::usbdmx::AsynchronousSunlite::Init | ( |  | ) |
| virtual

Initialize the widget.

Returns
  true if this widget was initialized correctly, false otherwise.

Implements ola::plugin::usbdmx::WidgetInterface.

## ◆ SendDMX()

bool ola::plugin::usbdmx::AsynchronousSunlite::SendDMX | ( | const DmxBuffer & | buffer | ) |
| virtual

Send DMX data from this widget.

Parameters

  buffer | The DmxBuffer containing the data to send.

Returns
  true if the data was sent, false otherwise.

Implements ola::plugin::usbdmx::WidgetInterface.

The documentation for this class was generated from the following files:

- plugins/usbdmx/Sunlite.h
- plugins/usbdmx/Sunlite.cpp